<?php
namespace Magento\Marketplace\Block\Partners;

/**
 * Interceptor class for @see \Magento\Marketplace\Block\Partners
 */
class Interceptor extends \Magento\Marketplace\Block\Partners implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Marketplace\Model\Partners $partnersModel, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $partnersModel, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
